Package com.avaya.clientservices.media.codec

## Class VideoEncoder

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.VideoSink
    - - com.avaya.clientservices.media.codec.VideoEncoder

- All Implemented Interfaces:
    `Destroyable`

      public class VideoEncoder
      extends VideoSink

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoEncoder​(int nVideoCodecType, java.lang.String strFormat, java.lang.String strDriver)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Call this method when finished with the object; which will release the underlying C++ object.
    `static java.lang.String` | `getDriverForFormat​(java.lang.String strFormat)` |
    `void` | `initialize()` |
    `void` | `requestBitRate​(int nBitRate)` |
    `void` | `requestKeyFrame()` |
    `boolean` | `setFormat​(java.lang.String strFormat, int nWidth, int nHeight, int nBitRate, int nFrameRate, int nProfile, int nLevel)` |
    `void` | `setVideoDecoder​(VideoDecoder videoDecoder)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `uninitialize()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoEncoder

          public VideoEncoder​(int nVideoCodecType,
                              java.lang.String strFormat,
                              java.lang.String strDriver)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getDriverForFormat

          public static java.lang.String getDriverForFormat​(java.lang.String strFormat)

    - #### setFormat

          public boolean setFormat​(java.lang.String strFormat,
                                   int nWidth,
                                   int nHeight,
                                   int nBitRate,
                                   int nFrameRate,
                                   int nProfile,
                                   int nLevel)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### initialize

          public void initialize()

    - #### uninitialize

          public void uninitialize()

    - #### destroy

          public void destroy()

      Description copied from class: `NativeObject`
      Call this method when finished with the object; which will release the underlying C++ object.
      Specified by:
        `destroy` in interface `Destroyable`
      Overrides:
        `destroy` in class `NativeObject`

    - #### requestBitRate

          public void requestBitRate​(int nBitRate)

    - #### requestKeyFrame

          public void requestKeyFrame()

    - #### setVideoDecoder

          public void setVideoDecoder​(VideoDecoder videoDecoder)